/*
 * @Author: zc
 * @Description: 分机组管理
 * @version: 
 * @Date: 2022-08-26 14:43:22
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-11-10 11:51:09
 */
import request from '/@/utils/request';
/**
 * @description: 获取分机组列表
 * @param {object} params
 * @return {*}
 */
 export const getTelsGroupList = (params?: object) => {
	return request({
		url: '/api/v1/Pbx/query-telgroups',
		method: 'get',
		params: params,
	});
};
/**
 * @description: 新增分机组
 * @param {object} params
 * @return {*}
 */
 export const addTelsGroup = (params: object) => {
	return request({
		url: '/api/v1/Pbx/add-telgroup',
		method: 'post',
		data: params,
	});
};
/**
 * @description: 更新分机组
 * @param {object} params
 * @return {*}
 */
 export const updateTelsGroup = (params: object) => {
	return request({
		url: '/api/v1/Pbx/update-telgroup',
		method: 'put',
		data: params,
	});
};
/**
 * @description: 页面基础信息
 * @return {*}
 */
 export const baseInfoTelsGroup = () => {
	return request({
		url: '/api/v1/Pbx/base-info-group',
		method: 'get',
	});
};