/*
 * @Author: zc
 * @Description: 菜单配置 和获取菜单
 * @version: 
 * @Date: 2022-10-21 09:01:22
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-11-09 17:03:01
 */
import request from '/@/utils/request';
/**
 * 后端控制菜单模拟json，路径在 https://gitee.com/lyt-top/vue-next-admin-images/tree/master/menu
 * 后端控制路由，isRequestRoutes 为 true，则开启后端控制路由
 * @method getMenu 获取后端动态路由菜单(admin)
 */
/**
 * @description: 获取当前用户下的菜单
 * @param {object} params
 * @return {*}
 */
export const getMenu = (params?: object) => {
	return request({
		url: '/api/v1/Home/get-my-auth-menu',
		method: 'get',
		params,
	});
};
/**
 * @description: 获取所有菜单列表
 * @param {object} params
 * @return {*}
 */
export const getMenuList = (params?: object) => {
	return request({
		url: '/api/v1/Sys/getmenujson',
		method: 'get',
		params
	});
};
/**
 * @description: 新增菜单
 * @param {object} params
 * @return {*}
 */
export const addMenu = (params: object) => {
	return request({
		url: '/api/v1/Sys/add-menu',
		method: 'post',
		data:params
	});
};
/**
 * @description: 更新菜单修改
 * @param {object} params
 * @return {*}
 */
export const updateMenu = (params: object) => {
	return request({
		url: '/api/v1/Sys/update-menu',
		method: 'post',
		data:params
	});
};
/**
 * @description: 删除菜单
 * @param {object} id
 * @return {*}
 */
export const removeMenu = (id: string) => {
	return request({
		url: `/api/v1/Sys/removemenu/${id}`,
		method: 'delete',
	});
};
/**
 * @description: 获取菜单详情根据id
 * @param {object} id
 * @return {*}
 */
export const getMenuById = (id: string) => {
	return request({
		url: `/api/v1/Sys/menu/${id}`,
		method: 'get',
	});
};