/*
 * @Author: zc
 * @Description: 黑名单
 * @version: 
 * @Date: 2022-08-26 14:43:12
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-11-10 11:45:51
 */
import request from '/@/utils/request';

/**
 * @description: 黑名单分页查询
 * @param {object} params  查询内容 分页参数
 * @return {*}
 */
export const blacklistPaged = (params?: object) => {
	return request({
		url: '/api/v1/Call/blacklist/paged',
		method: 'get',
		params: params,
	});
};
/**
 * @description:新增电话号至黑名单
 * @param {object} data  
 * @return {*}
 */
export const addBlacklist = (data: object) => {
	return request({
		url: '/api/v1/Call/blacklist',
		method: 'post',
		data: data,
	});
};
/**
 * @description: 删除黑名单数据
 * @param {string} phone  电话号码
 * @return {*}
 */
export const balcklistDelete = (phone: string) => {
	return request({
		url: `/api/v1/Call/blacklist/${phone}`,
		method: 'delete',
	});
};