import { defineStore } from 'pinia';
import { AppConfigState } from './interface';
/**
 * 
 * @methods AppConfig 系统配置信息
 */
export const useAppConfig = defineStore('AppConfig', {
    state: (): AppConfigState => ({
        AppConfigInfo: {
            isRestApproval: false, // 电话控件小休是否要进行审批
        }
    }),
    actions: {
        getAppInfo() {
            return this.AppConfigInfo;
        },
        // 设置系统信息
        setAppConfigInfo(data: object): void {
            this.AppConfigInfo = {
                ...this.AppConfigInfo,
                ...data
            };
        },
    },
    // 开启数据缓存
    persist: {
        enabled: true,
        strategies: [
            {
                //key的名称
                key: 'AppConfig',
                //更改默认存储，我更改为localStorage
                storage: localStorage,
                // 可以选择哪些进入local存储，这样就不用全部都进去存储了
                // 默认是全部进去存储
            }
        ]
    }
})
