/*
 * @Author: zc
 * @Description:
 * @version: 
 * @Date: 2022-08-09 16:19:56
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-11-16 15:10:29
 */
/**
 * 定义接口来定义对象的类型
 * `stores` 全部类型定义在这里
 */

// 用户信息
export interface UserInfosState {
	authBtnList: string[];
	photo: string;
	token?: string;
	id: string;
	name: string;
	phoneNo: string;
	staffNo?: string;
	defaultTelNo?: string;
	deletionTime?: string;
	isDeleted?: boolean;
	showTelControl: boolean;
}
export interface UserInfosStates {
	userInfos: UserInfosState;
}

// 路由缓存列表
export interface KeepAliveNamesState {
	keepAliveNames: string[];
	cachedViews: string[];
}

// 后端返回原始路由(未处理时)
export interface RequestOldRoutesState {
	requestOldRoutes: string[];
}

// TagsView 路由列表
export interface TagsViewRoutesState {
	tagsViewRoutes: string[];
	isTagsViewCurrenFull: Boolean;
}

// 路由列表
export interface RoutesListState {
	routesList: string[];
	isColumnsMenuHover: Boolean;
	isColumnsNavHover: Boolean;
}

// 布局配置
export interface ThemeConfigState {
	isDrawer: boolean;
	primary: string;
	topBar: string;
	topBarColor: string;
	isTopBarColorGradual: boolean;
	menuBar: string;
	menuBarColor: string;
	isMenuBarColorGradual: boolean;
	columnsMenuBar: string;
	columnsMenuBarColor: string;
	isColumnsMenuBarColorGradual: boolean;
	isColumnsMenuHoverPreload: boolean;
	isCollapse: boolean;
	isUniqueOpened: boolean;
	isFixedHeader: boolean;
	isFixedHeaderChange: boolean;
	isClassicSplitMenu: boolean;
	isLockScreen: boolean;
	lockScreenTime: number;
	isShowLogo: boolean;
	isShowLogoChange: boolean;
	isBreadcrumb: boolean;
	isTagsview: boolean;
	isBreadcrumbIcon: boolean;
	isTagsviewIcon: boolean;
	isCacheTagsView: boolean;
	isSortableTagsView: boolean;
	isShareTagsView: boolean;
	isFooter: boolean;
	isGrayscale: boolean;
	isInvert: boolean;
	isIsDark: boolean;
	isWatermark: boolean;
	watermarkText: string;
	tagsStyle: string;
	animation: string;
	columnsAsideStyle: string;
	columnsAsideLayout: string;
	layout: string;
	isRequestRoutes: boolean;
	globalTitle: string;
	globalViceTitle: string;
	globalI18n: string;
	globalComponentSize: string;
	loginImage: string;
}
export interface ThemeConfigStates {
	themeConfig: ThemeConfigState;
}
export type TelStates = 'dutyOff' | 'dutyOn' | 'rest' | 'ring' | 'oneCallHold' | 'oneHoldOneCall' | 'onCall' | 'onMute' | 'onConference';
export type RestStates = 'resting' | 'Inreview' | 'unRest';
export interface TelsStateInfos {
	telStatusInfo: {
		isDutyOn: boolean;
		isRest: RestStates;
		isMute: boolean;
		isMeeting: boolean;
		phonecontrolState: TelStates;
		telsNo: string | number;
		onCallArr: Array<any>;
		onHoldArr: Array<any>;
	}
}
export interface AppConfigState {
	AppConfigInfo: {
		isRestApproval:boolean; // 电话控件小休是否要进行审批
		[x:string]: any
	}
}